#include"mbasic.h"

void ParseAssemblyBlock(void)
{
 extern char * InputFilePtr;
 _emit("; Begin of user asm block\n");
 for(;*InputFilePtr;)
 {
  if(Look==0) Error("End of file in asm block");
  if(!strncmp(InputFilePtr,"ASMEND",6))
  {
   _emit("\n; End of user asm block\n");
   InputFilePtr=InputFilePtr+6;
   return;
  }
  emitch(Look);
  GetChar();
 } 
}
